[OTHER]
;Картинка, показывающаяся в окне чекера (по умолчанию там белка) Формат - bmp размеры x=90 y=88 (большая будет обрезаться)
CheckerLogo=checker.bmp
;CheckerSound=checker.wav

;Путь сохранения файлов по каналу thanks. Если не указан, то КаталогЗагрузокПоУмолчанию\thanks
;ThanksPath=

;Каталог, куда копировать капчи для постоянного сбора. При пустом значении копироваться не будут
CatalogBmp=


;РАСПОЗНАВАНИЕ

[CAP]
;Количество секунд окна проверки пользователем кода (0=окно будет только при ошибках, -1 - не будет никогда)
CheckerSec=-1
;Количество ошибок для старта поиска обновлений шаблонов (При 0-ле обновления не искать)
ErrorsUpdate=0

;Тип алгоритма
type=

;фильтры (Имя фильтра и параметры. Слово "convert" зарезервировано для вызова convert.exe. например Filter1=convert -channel All -blur 5x1 -threshold 80%%)
Filter0=convert -white-threshold 47000 -resize 200%% -monochrome -blur 0x.7 -black-threshold 50000 -resize 50%%
Filter1=ShredBorder 1,1

;распознавание
;первый проход
;Процент попадания
Percent=65
;Цветовая пороговая разница срабатывания между цветами, означающая, что цвета идентичны 0 означает, что совпадают только совсем одинаковые цвета
;Все цвета картинки складываются без множетелей. черный=0 белый=255+255+255
ColorDelta=200
;Исключить белые области шаблонов из рабочих
WithoutBackground=1

;второй проход
;Приоритет символов для опознавания, слева - самые значащие. Т.к. многие символы, например I являются составными частями других
PriorityString=8904652371
;разница процентного отношения между символом, могущим быть частью другого
PriorityDelta=6

;общие настройки
;Имя файла для распознавания (если jpg, то рядом должен лежать Convert.exe для перевода в такой же bmp) (Возможно применение маски. Браться будет самый свежий файл)
FileNameCapture=OpenFile*.png
;Имя файла для сохранения кода (Любое количество через запятую)
SaveToFile=OpenFileRu1.txt,OpenFile.txt
;копировать результат в буфер обмена, стирая все, что там держал подлый пользователь
Clipboard=0
;Имя каталога с литерами (Можно использовать литеры от Антикапчи)
CatalogLetters=CapLettersOF
;Количество ожидаемых символов
Letters=4
;Длина капчи объявления ботом
ErrorCapthaLen=

;изображения
;предобработка краев
ShredBorderLetX=0
ShredBorderLetY=0
;прогонять образец по горизонтали
XMove=1
;прогонять образец по вертикали
YMove=1
;ограничиваться бордюром по горизонтали (отключается, если часть буквы теоретически может выйти за рамки картинки)
XBorderL=1
XBorderR=1
;ограничиваться бордюром по вертикали (отключается, если часть буквы теоретически может выйти за рамки картинки)
YBorderU=1
YBorderD=1

;автоматика
;применение ускорения. все по закону сохранения качества: скорость больше - результат хуже ;о(
Speed=1
;автоматически корректировать процент при ошибке распознавания на данную величину
AutoPercent=1.0
;автоматически снижать скорость при возникновении ошибок
AutoSpeed=1
;автоматически включать вертикальный прогон при необходимости
AutoYMove=1
;не применять автоматику, если период распознавания превышает параметр в секундах
AutoMaxTime=15
;Пауза в миллисекундах между шаблонами, чтобы не сильно загружать процессор
PauseBetweenTemplates=0



;служебные
;Количество текущих ошибок
CountErrors=0
;последние значения для алгоритма коллекций
LastPath=
LastPref=



;Секция действий, если нас объявили ботом
[BOT]
;Команда
command=
;параметры команды
params=
;Прятать окно комманды
hide=1




;Секция запуска прочих программ распознавания, пока не найдем нужный код ... можно вызывать саму себя

[FR]
;Прятать окна прочих приложений
HideFR=1
;Приложение номер 0 ...
;Команда
Run0=
;Параметры
Param0=
;Где забирать результат (Имя файла или ключевое слово clipboard)
Result0=clipboard

;Команда 1 и так далее пока не найдем нужное кол-во буковок
Run1=
Param1=
Result1=








;Режим сирены при ошибках(можно использовать для старта чего угодно)

[SIREN]
;Количество ошибок для запуска режима (0-выключить)
ErrorSiren=0
;Команда
CommandSiren=ChatBeep.wav
;Параметры каманды
ParamSiren=
;Скрывать окно
HideSiren=0
;Ждать окончания процесса
WaitSiren=0
;Сколько раз повторять (один раз запустится и так)
RepeatSiren=100








;ОБНОВЛЕНИЕ
[UPDATE]
;Количество ошибок для старта поиска обновлений на основных сайтах (При 0-ле обновления не искать)
;также если параметр не 0, то по определенному промежутку времени (около 2-х часов) происходит поиск
;обновлений самой программы и шаблонов
Errors=1000


